<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_maschinenliste_struktur1" pageWidth="550" pageHeight="802" whenNoDataType="AllSectionsNoDetail" columnWidth="550" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="4aadc31f-6107-4999-a669-37ef722b0119">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<field name="fertigungsgruppe" class="java.lang.String"/>
	<field name="maschinengruppe" class="java.lang.String"/>
	<field name="maschine" class="java.lang.String"/>
	<field name="maschinen_identifikationsnr" class="java.lang.String"/>
	<field name="autoendebeigeht" class="java.lang.Integer"/>
	<field name="auslastungsanzeige" class="java.lang.Integer"/>
	<field name="versteckt" class="java.lang.Integer"/>
	<field name="manuelle_bedienung" class="java.lang.Integer"/>
	<variable name="CountMaschineJeGruppe" class="java.lang.Integer" resetType="Group" resetGroup="Maschinengruppe">
		<variableExpression><![CDATA[$V{CountMaschineJeGruppe}.intValue()+1]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<group name="Fertigungsgruppe">
		<groupExpression><![CDATA[$F{fertigungsgruppe}]]></groupExpression>
		<groupFooter>
			<band height="5">
				<line>
					<reportElement x="0" y="0" width="550" height="1" uuid="f700aea6-6257-4489-b344-0b2d7150aae2"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<group name="Maschinengruppe">
		<groupExpression><![CDATA[$F{maschinengruppe}]]></groupExpression>
		<groupFooter>
			<band height="5">
				<line>
					<reportElement x="140" y="0" width="410" height="1" uuid="b10b7f5c-af2f-43b9-a455-abe7bc4360af"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<pageHeader>
		<band height="21" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="10" width="120" height="10" uuid="1e5527bd-a5d8-4c13-90ae-6bfa277d4a7a"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Fertigungsgruppe]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="20" width="550" height="1" uuid="63bfda2a-cb60-4e61-a760-01c431d07e36"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="260" y="10" width="150" height="10" uuid="5c106b7c-b86a-421e-a01e-76b336e69760"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Maschine]]></text>
			</staticText>
			<staticText>
				<reportElement x="410" y="10" width="60" height="10" uuid="ead66949-0b0f-487d-9837-a1b50bc3ad6b"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Masch.Id.Nr]]></text>
			</staticText>
			<staticText>
				<reportElement x="140" y="10" width="120" height="10" uuid="420e3eed-889e-4489-8661-fda787bb794d"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Maschinengruppe]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="fertigungsgruppe" positionType="Float" isPrintRepeatedValues="false" x="0" y="0" width="120" height="10" isRemoveLineWhenBlank="true" uuid="0f9f6125-2479-4020-bfaa-a42e3477abbd"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fertigungsgruppe}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Maschine" positionType="Float" x="260" y="0" width="150" height="10" isRemoveLineWhenBlank="true" uuid="6d55547a-7b33-4db9-a49e-39d72f0e87d0"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{maschine}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="MaschIdNr" positionType="Float" x="410" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="68f5350a-9dce-4b78-9e00-8847f0eea632"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{maschinen_identifikationsnr}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Maschinengruppe" positionType="Float" isPrintRepeatedValues="false" x="140" y="0" width="120" height="10" isRemoveLineWhenBlank="true" uuid="3c9666bf-a503-4ed9-a5e6-a673e726c22b"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{maschinengruppe}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="AutoEndeBeiGeht" positionType="Float" x="470" y="0" width="20" height="10" isRemoveLineWhenBlank="true" uuid="a0979f41-48e7-433f-82ad-ebb951cb42ff">
					<printWhenExpression><![CDATA[$F{autoendebeigeht}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["ASG"]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Auto Stop bei Geht als default der Maschine aktiviert"]]></hyperlinkTooltipExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Manuell" positionType="Float" x="490" y="0" width="20" height="10" isRemoveLineWhenBlank="true" uuid="829c84f3-259b-4343-b831-2479e1921d8e">
					<printWhenExpression><![CDATA[$F{manuelle_bedienung}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Man"]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Auto Ende bei Geht als default der Maschine aktiviert"]]></hyperlinkTooltipExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="MaschinengruppeDarstellen" positionType="Float" x="120" y="0" width="20" height="10" isRemoveLineWhenBlank="true" uuid="36a17bf8-62b8-476b-826d-c05f3488fb29">
					<printWhenExpression><![CDATA[$V{CountMaschineJeGruppe}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{auslastungsanzeige}.intValue() == 1 ? "MGd" : ""]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Maschinengruppe darstellen. Voraussetzung für Papierlose Fertigung"]]></hyperlinkTooltipExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Versteckt" positionType="Float" x="510" y="0" width="40" height="10" isRemoveLineWhenBlank="true" uuid="bebd44dd-3d70-4c49-8cab-aa0127106968">
					<printWhenExpression><![CDATA[$F{versteckt}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Versteckt"]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Auto Ende bei Geht als default der Maschine aktiviert"]]></hyperlinkTooltipExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="1"/>
	</pageFooter>
	<lastPageFooter>
		<band height="15">
			<staticText>
				<reportElement key="MaschinengruppeDarstellen" positionType="Float" x="0" y="5" width="290" height="10" isRemoveLineWhenBlank="true" uuid="94719afa-67b4-4cca-87ee-3582f2c5b0c1"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[MGd ... Maschinengruppe darstellen. Voraussetzung für Papierlose Fertigung]]></text>
			</staticText>
			<staticText>
				<reportElement key="AutoEndeBeiGeht" positionType="Float" x="320" y="5" width="210" height="10" isRemoveLineWhenBlank="true" uuid="0a26705f-7915-4eb9-9c7f-f9fe482f1e1b"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[ASG ... Auto Stop bei Geht als default der Maschine aktiviert]]></text>
			</staticText>
		</band>
	</lastPageFooter>
</jasperReport>
